angular.module('iclan.calendarioController', [])

        .controller('calendarioController', ['$scope', '$ionicLoading', '$ionicPopup', '$cordovaPush', 'externalFactory', 'localFactory', 'platform', 'registerFactory',
            function ($scope, $ionicLoading, $ionicPopup, $cordovaPush, externalFactory, localFactory, platform, registerFactory) {

                var vm = this;


                vm.cadastrar = calendario;
                vm.voltarLogin = voltarLogin;

                $scope.carregar = function () {
                    var data = {
                        key: localFactory.get("key"),
                        habilitado: false
                    };

                    externalFactory.post("/trocar-situacao-habilitado", data, "options")

                            .error(function (error) {
                                $ionicPopup.alert({
                                    title: "Atenção",
                                    template: "Não foi possível conectar-se ao servidor."
                                });
                                $ionicLoading.hide();
                            }).success(function (retorno) {
                        if (retorno.error) {
                            $ionicPopup.alert({
                                title: "Atenção",
                                template: retorno.error
                            });

                            $ionicLoading.hide();
                        } else {
                            localFactory.set("Dados.Habilitacao", "N");

                            if (localFactory.get("Dados.IdEmpresa") != null) {
                                $scope.go("/semHabilitacao");
                            } else {
                                $scope.go("/mapa");
                            }

                        }
                    });
                }             

                function voltarLogin() {
                    $scope.go("/login");
                }
            }]);
