angular.module('iclan.senhaController', [])

.controller('senhaController', ['$scope', '$rootScope', '$ionicLoading', '$ionicPopup', 'externalFactory',

function($scope, $rootScope, $ionicLoading, $ionicPopup, externalFactory) {



    $scope.senha = function(email) {

        if(!angular.isDefined(email) || !email.trim()) {
            $ionicPopup.alert({
                title: "Atenção",
                template: "Digite o email corretamente."
            });
        } else {

            $ionicLoading.show({
                template: "Carregando ..."
            });

            var data = {
                Email: email
            };

            externalFactory.post("/trocar-senha", data, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if(retorno.Mensagem != "OK") {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: retorno.Mensagem
                    });

                    $ionicLoading.hide();
                } else {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: "Enviamos uma nova senha para seu email."
                    });
                    $ionicLoading.hide();
                }
            });

        }
    }

    $scope.exit = function(){
        $scope.back();
    };

}]);
