angular.module('iclan.semHabilitacaoController', ['onezone-datepicker'])

.controller('semHabilitacaoController', ['$scope', '$filter', '$rootScope', '$ionicLoading', '$ionicModal', '$ionicPopup', '$ionicScrollDelegate', 'externalFactory', 'localFactory', 'backButtonFactory',
    function($scope, $filter, $rootScope, $ionicLoading, $ionicModal, $ionicPopup, $ionicScrollDelegate, externalFactory, localFactory, backButtonFactory) {
        //$scope.go("/agendateorico");
        localFactory.set("Pagina", "semHabilitacao");

        /*$ionicModal.fromTemplateUrl('templates/modais/calendario.html', {
         scope: $scope
         }).then(function (modal) {
         $scope.calendario = modal
         });*/

        $scope.select = {
            tipoexamemedio: ''
        };

        var idExamesMedicosBySelect = {
            1: '150623173249',
            2: '160705112109',
            3: '160705112041'
        };

        if (!localFactory.get("Tab")) {
            $scope.tab = 1;
        } else {
            $scope.tab = localFactory.get("Tab");
            localFactory.delete("Tab");
        }

        var i = 0;
        $scope.count = function() {
            i++;
        }


        localFactory.set("Habilitado", false);
        $scope.habilitado = localFactory.get("Habilitado");

        if (localFactory.get("Dados.CPF") == "" || localFactory.get("Dados.CPF") == null)
            $scope.botaoCadastro = false;
        else
            $scope.botaoCadastro = true;

        /* $scope.fechamodal = function () {
         $scope.calendario.hide();
         }

         $scope.modalcalendario = function () {
         $scope.calendario.show();
         }*/

        $scope.carregar = function() {
            $scope.semRegistro = true;
            $ionicScrollDelegate.scrollTop();
            switch ($scope.tab) {
                case 1:
                    $ionicLoading.show({
                        template: 'Carregando agenda ...'
                    });

                    buscarSolicitacoesPessoa(1);
                    buscatimeline();
                    break;
                    ///BUSCA SOLICITAÇÕES DO CFC - INICIO
                case 2:
                    $scope.showBotaoCadastrar = true;

                    $scope.solicitacoes = "";

                    $ionicLoading.show({
                        template: 'Carregando horários ...'
                    });

                    var data = {
                        IdCFC: localFactory.get("Dados.IdEmpresa"),
                        key: localFactory.get("key")
                    };

                    externalFactory.post("/buscar-horarios-solicitacoes", data, "options")

                    .error(function(error) {
                        $ionicPopup.alert({
                            title: "Atenção",
                            template: "Não foi possível conectar-se ao servidor."
                        });
                        $ionicLoading.hide();
                    }).success(function(retorno) {
                        if (!retorno.error) {
                            $scope.solicitacoes = retorno.Solicitacoes;
                            $scope.hrs = [];
                            $scope.semRegistro = false;
                        }

                        $ionicLoading.hide();

                    });
                    break;
                    ///BUSCA SOLICITAÇÕES DO CFC - FIM
                case 3:
                    $ionicLoading.show({
                        template: 'Carregando solicitações ...'
                    });

                    buscarSolicitacoesPessoa(0);
                    break;
            }
        }




        function buscarSolicitacoesPessoa(tipoBusca) {

            $scope.solicitacoes = "";

            var data = {
                key: localFactory.get("key"),
                StatusAtendidos: tipoBusca
            };

            externalFactory.post("/buscar-solicitacoes-pessoa", data, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if (!retorno.error) {
                    $scope.semRegistro = false;
                    if ($scope.tab == 3)
                        $scope.remover = false;
                    else
                        $scope.remover = true;
                    $scope.solicitacoes = retorno.Solicitacoes;
                }

                $ionicLoading.hide();

            });
        }


        function buscatimeline() {

            $scope.timeline = "";
            $scope.servico = "";

            var data = {
                key: localFactory.get("key"),
                tipo: localFactory.get("ServicoSelecionado"),
                id_pessoa: localFactory.get("Dados.IdPessoa"),
                tipo_solicitacao: localFactory.get("Dados.IdTipoSolicitacao")
            };

            externalFactory.post("/timeline", data, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if (!retorno.error) {
                    $scope.servico = retorno.Servicos;
                    $scope.timeline = retorno.timeline;
                }

                $ionicLoading.hide();
                console.log(retorno);
            });
        }

        $scope.showRemover = function(status) {
            if (status != 'C' && status != 'R') {
                return true;
            } else {
                return false;
            }
        }

        // Modais
        $ionicModal.fromTemplateUrl('templates/modais/compromisso.html', {
            scope: $scope
        }).then(function(modal) {
            $scope.compromisso = modal
        });

        $ionicModal.fromTemplateUrl('templates/modais/horariosInscricao.html', {
            scope: $scope,
        }).then(function(modal) {
            $scope.modal = modal
        });

        $ionicModal.fromTemplateUrl('templates/modais/selecionaexamemedico.html', {
            scope: $scope,
        }).then(function(modal) {
            $scope.modalSelecionaExameMedico = modal
        });

        $scope.hideModalSelecionaExameMedico = function() {
            $scope.modalSelecionaExameMedico.hide();
        };

        $scope.hideHorarios = function() {
            $scope.horarios = null;
            $scope.modal.hide();
        };

        $scope.showCompromisso = function() {
            backButtonFactory.setHash("1");
            $scope.compromisso.show();
        }

        $scope.hideCompromisso = function(page) {
                backButtonFactory.removeHash();
                $scope.compromisso.hide();
            }
            // fim Modais

        $scope.showBotaoCadastrar = true;

        $scope.modificar = function(horarioPessoa) {
            switch ($scope.tab) {
                case 1:
                    $scope.horario = horarioPessoa;
                    $scope.showCompromisso();
                    break;
                case 2:
                    if (horarioPessoa.IdTipoSolicitacao != 3) {
                        var confirmPopup = $ionicPopup.confirm({
                            title: "Deseja marcar este horário?",
                            okText: "Sim",
                            cancelText: "Não"
                        });

                        confirmPopup.then(function(response) {
                            if (response) {
                                var status;
                                horarioPessoa.IdTipoSolicitacao != 0 ? status = "P" : status = "A";

                                !(horarioPessoa instanceof Array) ? horarioPessoa = [horarioPessoa]: console.log("É Array");
                                var data = {
                                    Horarios: horarioPessoa,
                                    key: localFactory.get("key"),
                                    Status: status
                                };

                                externalFactory.post("/solicitar-agendamento", data, "options")

                                .error(function(error) {
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Não foi possível conectar-se ao servidor."
                                    });
                                }).success(function(retorno) {
                                    if (retorno.error) {
                                        $ionicPopup.alert({
                                            title: "Atenção",
                                            template: retorno.error
                                        });

                                    } else {
                                        data.Horarios[0].IdTipoSolicitacao != '0' ? $scope.tab = 3 : $scope.tab = 1;
                                        $scope.hrs.splice(0, $scope.hrs.length);

                                        $scope.carregar();
                                    }
                                });
                            }
                        });
                    } else {
                        $scope.showBotaoCadastrar = false;
                    }
                    break;
                case 3:
                    if (horarioPessoa.Status == 'C') {
                        var confirmPopup = $ionicPopup.confirm({
                            title: "Deseja confirmar este horário?",
                            okText: "Sim",
                            cancelText: "Não"
                        });

                        confirmPopup.then(function(response) {
                            if (response) {
                                var data = {
                                    key: localFactory.get("key"),
                                    IdAgendaPessoa: horarioPessoa.IdAgendaPessoa
                                };

                                externalFactory.post("/confirmar-agendamento", data, "options")

                                .error(function(error) {
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Não foi possível conectar-se ao servidor."
                                    });
                                }).success(function(retorno) {
                                    if (retorno.error) {
                                        $ionicPopup.alert({
                                            title: "Atenção",
                                            template: retorno.error
                                        });
                                    } else {
                                        $scope.tab = 1;
                                        $scope.hrs.splice(0, $scope.hrs.length);
                                        $scope.carregar();
                                    }
                                });
                            } else {
                                var data = {
                                    key: localFactory.get("key"),
                                    IdAgendaPessoa: horarioPessoa.IdAgendaPessoa
                                };

                                externalFactory.post("/deletar-agendamento", data, "options")

                                .error(function(error) {
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Não foi possível conectar-se ao servidor."
                                    });
                                }).success(function(retorno) {
                                    if (retorno.error) {
                                        $ionicPopup.alert({
                                            title: "Atenção",
                                            template: retorno.error
                                        });

                                    } else {
                                        $scope.carregar();
                                    }
                                });
                            }
                        });
                    } else {
                        $scope.horario = horarioPessoa;

                        if (horarioPessoa.Status == 'R')
                            $scope.deletar(1, 'remarcar');
                        else
                            $scope.deletar(0, 'cancelar');
                    }
                    break;
                case 4:
                    $scope.go("/perfil");
                    break;
            }
        };


        $scope.changeAulasPraticas = function(dia) {
            if ($scope.tab == 2) {
                var data = {
                    IdEmpresa: localFactory.get("Dados.IdEmpresa"),
                    key: localFactory.get("key")
                };

                externalFactory.post("/buscar-regras-cfc", data, "options")

                .error(function(error) {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: "Não foi possível conectar-se ao servidor."
                    });
                }).success(function(retorno) {
                    if (retorno.error) {
                        $ionicPopup.alert({
                            title: "Atenção",
                            template: retorno.error
                        });
                    } else {
                        var diasHorarioIgualSemana = retorno.Regras.Regra1;
                        var diasHorarioUnico = retorno.Regras.Regra2;
                        var diasNoite = retorno.Regras.Regra3;
                        var diasRepetidos = 0;
                        var horasSemanaRepetidas = diasHorarioIgualSemana;
                        var horariosDia = [];

                        $scope.hrs.sort(function(a, b) {
                            var aux = a["DataInicio"].split("/");
                            var a1 = parseInt(aux[2] + aux[1] + aux[0]);
                            var aux = b["DataInicio"].split("/");
                            var b1 = parseInt(aux[2] + aux[1] + aux[0]);
                            return a1 - b1;
                        });
                        console.log($scope.hrs);
                        angular.forEach($scope.hrs, function(value, key) {
                            var isInvalid = false;

                            var array_dia = dia.DataInicio.split("/");
                            var dataInicio = array_dia[2] + "-" + array_dia[1] + "-" + array_dia[0];


                            // Avalia se dia escolhido está na semana corrente
                            if (dataInicio >= value.PrimeiroDiaSemana &&
                                dataInicio <= value.UltimoDiaSemana) {
                                // Avalia se o horario do dia corrente é igual ao dos dias anteriores
                                if (dia.HoraInicio == value.HoraInicio && horasSemanaRepetidas > 0) {
                                    horasSemanaRepetidas--;
                                } else if (dia.HoraInicio == value.HoraInicio && horasSemanaRepetidas <= 0) {
                                    isInvalid = true;
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Não é possível marcar mais de " + retorno.Regras.Regra1 + " horários iguais na mesma semana."
                                    });
                                }
                            } else {
                                horasSemanaRepetidas = diasHorarioIgualSemana;
                            }

                            // Avalia regras de marcação em um dia
                            if (value.DataInicio == dia.DataInicio) {
                                horariosDia.push(value);
                                if (horariosDia.length >= 3) {
                                    horariosDia.sort(function(a, b) {
                                        var aux = a["HoraInicio"].split(":");
                                        var a1 = parseInt(aux[0] + aux[1]);
                                        var aux = b["HoraInicio"].split(":");
                                        var b1 = parseInt(aux[0] + aux[1]);
                                        return a1 - b1;
                                    });

                                    var primeiroHorario = parseInt(horariosDia[0].HoraFinal.replace(":", ""));
                                    var segundoHorarioInicio = parseInt(horariosDia[1].HoraInicio.replace(":", ""));
                                    var segundoHorarioFinal = parseInt(horariosDia[1].HoraFinal.replace(":", ""));
                                    var terceiroHorario = parseInt(horariosDia[2].HoraInicio.replace(":", ""));
                                    var diferencaPrimSeg = segundoHorarioInicio - primeiroHorario;
                                    var diferencaSegTerc = terceiroHorario - segundoHorarioFinal;
                                }
                                // Avalia se já existem 3 horários no mesmo dia
                                if (diasRepetidos >= 3) {
                                    isInvalid = true;
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "É permitido somente 3 aulas por dia."
                                    });
                                }
                                // Avalia se existe um intervalo entre a aula 2 e 3
                                else if (diasRepetidos >= 2 && diferencaPrimSeg <= 50 && diferencaSegTerc <= 50) {
                                    isInvalid = true;
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Deve haver um intervalo de 1h entre a 2ª e a 3ª aula."
                                    });
                                }
                                // Avalia se já foram marcados todos os dias com apenas uma aula (Regra 2)
                                else if (diasHorarioUnico > 0 && diasRepetidos > 0) {
                                    isInvalid = true;
                                    $ionicPopup.alert({
                                        title: "Atenção",
                                        template: "Não é permitido marcar mais de um horário neste dia."
                                    });
                                } else {
                                    diasRepetidos++;
                                }


                            } else {
                                if (diasHorarioUnico > 0) {
                                    diasHorarioUnico--;
                                }
                                horariosDia = [];
                            }


                            if (isInvalid == true) {
                                $scope.hrs[key] = [];
                                $scope.hrs.splice(key, 1);
                            }

                            if (parseInt(value.HoraInicio.substring(0, 2)) > 17)
                                diasNoite--;
                        });

                        if (diasNoite != 0) {
                            // Avalia se existe a quantidade mínima de aulas após às 17:00 (Regra 3)
                            if ($scope.hrs.length == 21 - diasNoite) {
                                $scope.hrs[20 - diasNoite] = [];
                                $scope.hrs.splice(20 - diasNoite, 1);
                                $ionicPopup.alert({
                                    title: "Atenção",
                                    template: "Você deve ter no mínimo " + retorno.Regras.Regra3 + " aulas a noite."
                                });
                            }
                        }
                        // Avalia se já foram marcadas as 20 aulas
                        if ($scope.hrs.length >= 20) {
                            $scope.hrs[20] = [];
                            $scope.hrs.splice(20, 1);
                            $ionicPopup.alert({
                                title: "Atenção",
                                template: "Você pode marcar até 20 aulas práticas por vez."
                            });
                        }


                    }
                });
            }
        }

        $scope.deletar = function(acao, mensagem) {
            var confirmPopup = $ionicPopup.confirm({
                title: "Deseja mesmo " + mensagem + " este horário?",
                okText: "Sim",
                cancelText: "Não"
            });

            confirmPopup.then(function(response) {

                var data = {
                    IdAgendaPessoa: $scope.horario.IdAgendaPessoa,
                    key: localFactory.get("key")
                };

                if (response) {
                    externalFactory.post("/deletar-agendamento", data, "options")

                    .error(function(error) {
                        $ionicPopup.alert({
                            title: "Atenção",
                            template: "Não foi possível conectar-se ao servidor."
                        });
                    }).success(function(retorno) {
                        if (retorno.error) {
                            $ionicPopup.alert({
                                title: "Atenção",
                                template: retorno.error
                            });;
                        } else {
                            // if (acao)
                            //  $scope.tab = 2;

                            $scope.carregar();
                        }
                    });
                    $scope.hideCompromisso();
                }

            });

        };

        $scope.deletarSimulador = function(idagenda) {
            var confirmPopup = $ionicPopup.confirm({
                title: "Deseja mesmo deletar este horário?",
                okText: "Sim",
                cancelText: "Não"
            });

            confirmPopup.then(function(response) {

                var data = {
                    IdAgendaPessoa: idagenda,
                    key: localFactory.get("key")
                };

                if (response) {
                    externalFactory.post("/deletar-agendamento", data, "options")

                    .error(function(error) {
                        $ionicPopup.alert({
                            title: "Atenção",
                            template: "Não foi possível conectar-se ao servidor."
                        });
                    }).success(function(retorno) {
                        if (retorno.error) {
                            $ionicPopup.alert({
                                title: "Atenção",
                                template: retorno.error
                            });;
                        } else {
                            $scope.carregar();
                        }
                    });
                    $scope.hideCompromisso();
                }

            });

        };




        $scope.goConfiguracao = function() {
            $scope.go("/configuracao");
        }

        $scope.irPerfil = function() {
            $scope.go("/perfil");
        };

        $scope.validDate = function(data) {
            if ($filter('date')($scope.onezoneDatepicker.date, "dd/MM/yyyy") == data) {
                return true;
            }
            return false;
        }

        $scope.clickCalendario = function() {
            $scope.botaoSolicitar = false;
            $scope.horarios = null;
            var data = {
                IdCFC: localFactory.get("Dados.IdEmpresa"),
                key: localFactory.get("key"),
                data: $filter('date')($scope.onezoneDatepicker.date, "dd/MM/yyyy"),
                IdCategoria: $scope.idCategoria
            };

            $ionicLoading.show({
                template: "Buscando horários ..."
            });

            externalFactory.post("/buscar-horarios-solicitacoes-exames", data, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if (retorno.error) {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: retorno.error
                    });
                    console.log(retorno);
                    $scope.semRegistro = true;
                } else {
                    $scope.horarios = retorno.Solicitacoes;
                    $scope.semRegistro = false;
                    console.log("-----------");
                    console.log($scope.horarios);

                }
                $ionicLoading.hide();
            });

            $scope.modal.show();

        };




        $scope.showHorarios = function() {
            var currentDate = new Date();
            var data = {
                IdCFC: localFactory.get("Dados.IdEmpresa"),
                key: localFactory.get("key"),
                data: (currentDate.getDate() + 1) + "/" + (currentDate.getMonth() + 1) + "/" + currentDate.getFullYear()
            };

            $ionicLoading.show({
                template: "Buscando horários ..."
            });

            externalFactory.post("/buscar-horarios-solicitacoes", data, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if (retorno.error) {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: retorno.error
                    });
                    console.log(retorno);
                    $scope.semRegistro = true;
                } else {
                    $scope.horarios = retorno.Solicitacoes;
                    $scope.semRegistro = false;
                    console.log("-----------");
                    console.log($scope.horarios);
                }
                $ionicLoading.hide();
            });

            $scope.modal.show();

        };

        $scope.buscaHorariosExames = function() {
            var currentDate = new Date();
            var data = {
                IdCFC: localFactory.get("Dados.IdEmpresa"),
                key: localFactory.get("key"),
                data: (currentDate.getDate() + 1) + "/" + (currentDate.getMonth() + 1) + "/" + currentDate.getFullYear(),
                IdCategoria: $scope.idCategoria
            };

            if ($scope.idCategoria != null) {
                $ionicLoading.show({
                    template: "Buscando horários ..."
                });

                externalFactory.post("/buscar-horarios-solicitacoes-exames", data, "options")

                .error(function(error) {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: "Não foi possível conectar-se ao servidor."
                    });
                    $ionicLoading.hide();
                }).success(function(retorno) {
                    if (retorno.error) {
                        $ionicPopup.alert({
                            title: "Atenção",
                            template: retorno.error
                        });
                        console.log(retorno);
                        $scope.semRegistro = true;
                    } else {
                        $scope.horarios = retorno.Solicitacoes;
                        $scope.semRegistro = false;
                        console.log(retorno);
                        console.log($scope.horarios);
                    }
                    $ionicLoading.hide();
                });
            } else {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Categoria não selecionada"
                });
            }
            $scope.modal.show();
        }

        $scope.showHorariosExames = function(etapa) {
            $scope.idCategoria = null;
            if (etapa == 'exame_psicologico') {
                $scope.idCategoria = '150623110224';
                $scope.buscaHorariosExames();

            } else if (etapa == 'exame_medico') {
                $scope.modalSelecionaExameMedico.show();
            }
        };

        $scope.buscarExameMedico = function() {
            $scope.idCategoria = idExamesMedicosBySelect[$scope.select.tipoexamemedico];
            $scope.hideModalSelecionaExameMedico();
            $scope.buscaHorariosExames();
        }

        var data, horarioInscricao;

        $scope.seleciona = function(horario) {
            data = {
                IdPessoa: localFactory.get("Dados.IdPessoa"),
                IdCFC: localFactory.get("Dados.IdEmpresa"),
                key: localFactory.get("key")
            };
            horarioInscricao = {
                Horarios: [horario],
                IdPessoa: "",
                Status: "A"
            };
            $scope.botaoSolicitar = true;
        };

        var currentDate = new Date();
        var date = new Date(currentDate.getFullYear(), currentDate.getMonth(), currentDate.getDate() + 1);
        $scope.date = date;
        $scope.onezoneDatepicker = {
            date: date,
            mondayFirst: true,
            months: ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"],
            daysOfTheWeek: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sab"],
            startDate: new Date(currentDate.getFullYear(), currentDate.getMonth(), currentDate.getDate()),
            endDate: new Date(2024, 1, 26),
            disablePastDays: false,
            disableSwipe: true,
            disableWeekend: false,
            showDatepicker: true,
            showTodayButton: true,
            calendarMode: true,
            hideCancelButton: false,
            hideSetButton: false,
            disableDaysOfWeek: [0],
            callback: $scope.clickCalendario

        };

        $scope.showDatepicker = function() {
            $scope.onezoneDatepicker.showDatepicker = true;

        };

        $scope.solicitar = function() {
            $ionicLoading.show({
                template: "Agendando ..."
            });

            var data = {
                key: localFactory.get("key")
            };

            horarioInscricao.key = localFactory.get("key");
            horarioInscricao.IdCFC = localFactory.get("Dados.IdEmpresa");

            externalFactory.post("/solicitar-agendamento", horarioInscricao, "options")

            .error(function(error) {
                $ionicPopup.alert({
                    title: "Atenção",
                    template: "Não foi possível conectar-se ao servidor."
                });
                $ionicLoading.hide();
            }).success(function(retorno) {
                if (retorno.error) {
                    $ionicPopup.alert({
                        title: "Atenção",
                        template: retorno.error
                    });
                } else {
                    $scope.modal.hide();
                    $scope.go("/semHabilitacao");
                }
                $ionicLoading.hide();
            });
        };

        $scope.aulasteoricas = function() {
            $scope.go("/agendateorico");
        }

        $scope.aulaspraticas = function() {
            $scope.go("/aulaspraticas");
        }

        $scope.simulador = function() {
            $scope.go("/simulador");
        }

        // rotas
        $scope.tabprincipal = function() {
            $scope.go("/principal");
        };
        $scope.tabperfil = function() {
            $scope.go("/tabperfil");
        };
        $scope.tabtimeline = function() {
            $scope.go("/semHabilitacao");
        };
        $scope.tabmenu = function() {
            $scope.go("/tabmenu");
        };
        // fim rotas

    }
]);
